document.addEventListener('DOMContentLoaded', () => {
  const drawButton = document.getElementById('drawButton');
  const resultText = document.getElementById('resultText');
  const prizeWheel = document.querySelector('.prize-wheel');
  
  let isSpinning = false;
  
  const prizes = [
    { name: 'First Prize! 🎉', probability: 5 },
    { name: 'Second Prize! 🌟', probability: 10 },
    { name: 'Third Prize! 🎈', probability: 20 },
    { name: 'Consolation Prize 💝', probability: 65 }
  ];

  function getRandomPrize() {
    const random = Math.random() * 100;
    let probabilitySum = 0;
    
    for (const prize of prizes) {
      probabilitySum += prize.probability;
      if (random <= probabilitySum) {
        return prize;
      }
    }
    return prizes[prizes.length - 1];
  }

  function spinWheel() {
    if (isSpinning) return;
    
    isSpinning = true;
    drawButton.disabled = true;
    
    const rotations = 5;
    const degrees = rotations * 360 + Math.random() * 360;
    
    prizeWheel.style.transform = `rotate(${degrees}deg)`;
    
    setTimeout(() => {
      const prize = getRandomPrize();
      resultText.textContent = `Congratulations! You won: ${prize.name}`;
      isSpinning = false;
      drawButton.disabled = false;
    }, 3000);
  }

  drawButton.addEventListener('click', spinWheel);
});
